
Bugs - Bug #3503

generated classname mismatch for menu and sub-menu

03/08/2018 03:40 PM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 03/08/2018 03:47 PM - Constantin Asofiei

A name like def sub-menu nop-i-i - note the two - chars - generates MenuNopIISubMenu for Java class references in the generated code, while the

actual class name (and file) is MenuNopIiSubMenu.  Same thing happens for MENU widgets.

The fix is in branch 3469a rev 11234.

#2 - 03/08/2018 03:50 PM - Constantin Asofiei

- File menu_generator.xml_3469a_rev_11234.patch added

- File menu_construction.rules_3469a_rev_11234.patch added

Attached are the patches which work with FWD v3.1 (trunk rev 11169).

#3 - 03/09/2018 02:34 AM - Constantin Asofiei

- File menu_3469a_11234.zip added

Attached archive needs to be copied to the FWD installation folder (i.e. p2j folder) and unzipped - it contains the changed files directly.

#4 - 04/27/2018 09:49 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

- Assignee set to Constantin Asofiei

Branch 3469a was merged to trunk as revision 11252.

Files

menu_construction.rules_3469a_rev_11234.patch 1.73 KB 03/08/2018 Constantin Asofiei

menu_generator.xml_3469a_rev_11234.patch 1.56 KB 03/08/2018 Constantin Asofiei

menu_3469a_11234.zip 8.4 KB 03/09/2018 Constantin Asofiei
